#
# spec file for package y2pmsh (Version 2.9.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  curl gpp libstdc++-devel liby2util liby2util-devel openslp yast2-packagemanager yast2-packagemanager-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl gcc gcc-c++ gdbm gettext libstdc++-devel libtool liby2util liby2util-devel openslp perl rpm yast2-packagemanager yast2-packagemanager-devel

Name:         y2pmsh
Version:      2.9.3
Release:      2
License:      GPL
Group:        Development/Tools/Other
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      y2pmsh-2.9.3.tar.bz2
prefix:		/usr
Summary:      Shell interface for the YaST2 packagemanager
Source1:      libtecla-1.5.0.tar.gz

%description
y2pmsh is a shell interface for the YaST2 packagemanager. It's able
   to - install, update, remove or query packages and selections

- display package dependencies

- manage installation sources

This is a debugging and development tool, not to be used by the average
user.



Authors:
--------
    Ludwig Nussel <ludwig.nussel@suse.de>

%prep
%setup -a 1

%build
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
%if %suse_version < 901
CXXFLAGS="$CXXFLAGS -DSUSE90COMPAT"
%endif
cd libtecla
%{suse_update_config -f}
cd ..
export CFLAGS CXXFLAGS
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make -C libtecla
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done
%if %suse_version < 901
mkdir -p %{buildroot}%{_docdir}/%{name}/patches-9.0
install -m 644 patches-9.0/*.diff %{buildroot}%{_docdir}/%{name}/patches-9.0
%endif

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/y2pmsh
%{_bindir}/*
%dir %{_sysconfdir}/y2pmbuild
%dir %{_sysconfdir}/y2pmbuild/dists
%config(noreplace) %{_sysconfdir}/y2pmbuild/dists/*

%changelog -n y2pmsh
* Mon Apr 05 2004 - lnussel@suse.de
- support nodigest and nosignature flags
- add 'distrocheck' command to find unsatisfied dependencies among all
  candidates
- 2.9.3
* Mon Mar 29 2004 - lnussel@suse.de
- fix some typos, warnings, uninitialized variables
- fix usedforbuild in y2pmbuild
- add 9.1 link for y2pmbuild
- print correct number of dots also when removing packages
- 2.9.2
* Thu Mar 25 2004 - lnussel@suse.de
- new commands whatconflictswith, allconflicts, depstats, isc
- y2pmbuild: support Buildrequires, use rpmbuild --nodeps, install architecture
  independend config files per default
- fit progress dots into terminal width
- display download progress
- 2.9.1
* Fri Mar 05 2004 - lnussel@suse.de
- refuse build root not owned by root
- use yast2 devtools for package generation
- fix build with new packagemanger includes
* Tue Mar 02 2004 - lnussel@suse.de
- tab completion for package names
- fall back to shellmode if a command specified on the command line failed
- don't regenerate repository at start of build in y2pmbuild
- add whatprovides function
* Sat Feb 28 2004 - ro@suse.de
- added openslp to neededforbuild
* Sat Feb 14 2004 - lnussel@suse.de
- rename showproducts -> products
- fix whatdependson function to honor self-provides
- add depends function
* Fri Jan 30 2004 - lnussel@suse.de
- set YAST_IS_RUNNING properly
* Thu Jan 29 2004 - lnussel@suse.de
- initial package
